import { ScanOrderEntryContext, ScanOrderProps, ScanOrderViewModel } from './types';
export declare const SCAN_ORDER_STEPS: readonly ["init", "product", "check", "error"];
export declare const useScanOrderModule: () => any;
export declare const contextUtils: () => any;
export declare function normalizeEntryContext(props: ScanOrderProps): ScanOrderEntryContext;
export declare function safeRunModuleAction(module: any, actionName: string, ...args: any[]): Promise<any>;
export declare function createScanOrderViewModel(module: any): ScanOrderViewModel;
export declare function useScanOrderViewModel(module: any): ScanOrderViewModel;
export declare const useScanOrderLogin: () => {
    isLogin: boolean;
    openLoginModal: (params: {
        callback: any;
    }) => void;
};
